<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for XDigitDiscardInstructionMember StructType
 * @subpackage Structs
 */
class XDigitDiscardInstructionMember extends AbstractStructBase
{
    /**
     * The dialPlanTagName
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var XFkType
     */
    public $dialPlanTagName;
    /**
     * Constructor method for XDigitDiscardInstructionMember
     * @uses XDigitDiscardInstructionMember::setDialPlanTagName()
     * @param XFkType $dialPlanTagName
     */
    public function __construct(XFkType $dialPlanTagName = null)
    {
        $this
            ->setDialPlanTagName($dialPlanTagName);
    }
    /**
     * Get dialPlanTagName value
     * @return XFkType
     */
    public function getDialPlanTagName()
    {
        return $this->dialPlanTagName;
    }
    /**
     * Set dialPlanTagName value
     * @param XFkType $dialPlanTagName
     * @return XDigitDiscardInstructionMember
     */
    public function setDialPlanTagName(XFkType $dialPlanTagName = null)
    {
        $this->dialPlanTagName = $dialPlanTagName;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return XDigitDiscardInstructionMember
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
